import request from '@/utils/request'

// 查询参数设置列表
export function listParameterSet(query) {
  return request({
    url: '/manage/parameterSet/list',
    method: 'get',
    params: query
  })
}

// 查询参数设置详细
export function getParameterSet(parameterId) {
  return request({
    url: '/manage/parameterSet/' + parameterId,
    method: 'get'
  })
}

// 新增参数设置
export function addParameterSet(data) {
  return request({
    url: '/manage/parameterSet',
    method: 'post',
    data: data
  })
}

// 修改参数设置
export function updateParameterSet(data) {
  return request({
    url: '/manage/parameterSet/put',
    method: 'post',
    data: data
  })
}

// 删除参数设置
export function delParameterSet(parameterId) {
  return request({
    url: '/manage/parameterSet/delete/' + parameterId,
    method: 'get'
  })
}
